# memory File Reference

## Detailed Description

This is a Standard C++ Library header.

Definition in file memory.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::auto_ptr< _Tp >
    A simple smart pointer providing strict ownership semantics. More...
- struct std::auto_ptr_ref< _Tp1 >

## Defines

- #define _GLIBCXX_MEMORY

## Functions

- template<typename _Tp> pair< _Tp *, ptrdiff_t > std::__get_temporary_buffer (ptrdiff_t __len, _Tp *)
- template<typename _Tp> pair< _Tp *, ptrdiff_t > std::get_temporary_buffer (ptrdiff_t __len)
- template<typename _Tp> void std::return_temporary_buffer (_Tp *__p)